Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 4.0   

Description

Subtasks:

Feature # 2702: Make intermediate class for handling routing Closed

Feature # 2703: Add routing of divisions Closed

Feature # 2704: Add routing of not found pages Closed

Feature # 2707: Handle requests for works that do not exist Closed

Feature # 2708: Handle requests for divisions that do not exist Closed

History

#1 - 04/22/2020 05:07 AM - Luke Murphey

https://stackoverflow.com/questions/42701129/how-to-push-to-history-in-react-router-v4

Need to change the URL according to the selected verses too.

#2 - 04/30/2020 05:54 AM - Luke Murphey

https://itnext.io/basics-of-react-router-v4-336d274fd9e0

https://reacttraining.com/react-router/web/api

https://reacttraining.com/react-router/web/example/recursive-paths

#3 - 04/30/2020 05:59 AM - Luke Murphey

Qs:

Is it cleaner to convert App to a functional component? *

Obs:

Wrapping app withRouter and with a Router almost works but gets:

 Failed prop type: The prop `history` is marked as required in `Router`, but its value is `undefined`.
#4 - 04/30/2020 06:35 AM - Luke Murphey

- Status changed from New to In Progress

#5 - 05/03/2020 04:14 AM - Luke Murphey

- Status changed from In Progress to Closed
